InheritanceType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.metamodel.binding
Enum InheritanceType

    java.lang.Object
      java.lang.Enum<InheritanceType>
          org.hibernate.metamodel.binding.InheritanceType

All Implemented Interfaces:
  Serializable, Comparable<InheritanceType>

    public enum InheritanceType

extends Enum<InheritanceType>

The inheritance type for a given entity.

Note, we are not using the JPA enum, because we need the ability to extend the types if we need to.

Enum Constant Summary
`JOINED`
`NO_INHERITANCE`
`SINGLE_TABLE`
`TABLE_PER_CLASS`

Method Summary
`static InheritanceType` | `get(InheritanceType jpaType)`
`static InheritanceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static InheritanceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### JOINED

    public static final InheritanceType JOINED

### SINGLE_TABLE

    public static final InheritanceType SINGLE_TABLE

### TABLE_PER_CLASS

    public static final InheritanceType TABLE_PER_CLASS

### NO_INHERITANCE

    public static final InheritanceType NO_INHERITANCE

Method Detail

### values

    public static InheritanceType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (InheritanceType c : InheritanceType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static InheritanceType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public static InheritanceType get(InheritanceType jpaType)

  Parameters:
    `jpaType` - The JPA inheritance type
  Returns:
    The inheritance type of this class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.